#
# spec file for package woof (Version 0.20091227)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

# norootforbuild

Name:		woof
Version:	0.20091227
Release:	1.3
Summary:	Simple Web-based File Exchange
Source0:	woof-2009-12-27.py
Source1:	README
URL:		http://www.home.unix-ag.org/simon/woof.html
Group:		Productivity/Networking/Web/Servers
License:	GNU General Public License version 2 (GPL v2)
BuildRoot:	%{_tmppath}/build-%{name}-%{version}
BuildArch:	noarch
Requires:	python tar net-tools bzip2 gzip zip

%description
I guess everybody with a laptop has experienced this problem at some point:
You plug into a network and just want to exchange files with other
participants. It always is a pain until you can exchange files with the person
vis-a-vis.

Woof (Web Offer One File) tries a different approach. It assumes that
everybody has a web-browser or a commandline web-client installed. Woof is a
small simple stupid webserver that can easily be invoked on a single
file. Your partner can access the file with tools he trusts (e.g. wget). No
need to enter passwords on keyboards where you don't know about keyboard
sniffers, no need to start a huge lot of infrastructure, just do a

     $ woof filename

and tell the recipient the URL woof spits out. When he got that file, woof
will quit and everything is done.

And when someone wants to send you a file, woof has a switch to offer itself,
so he can get woof and offer a file to you.




Authors:
--------
    Simon Budig <simon@budig.de>    

%prep
%setup -q -c "%{name}-%{version}" -T
cp %{SOURCE1} .

%build

%install
%__install -D -m0755 "%{SOURCE0}" "%{buildroot}%{_bindir}/woof"

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/woof
%doc README

%changelog
* Thu Dec 30 2009 AxelKoellhofer@web.de
- update to version 0.20091227
  * added upload capability (parameter -U)
  * code cleanup
- added README file 
- spec cleanup
* Sun Mar 02 2009 AxelKoellhofer@web.de
- bump to version 0.20090227 
  * fixes some deprecation warnings on python >= 2.6
* Sat Aug  2 2008 Pascal Bleser <guru@unixtech.be> 0.20070214
- new package
